> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_newBlockFilter on Arbitrum

> eth_newBlockFilter creates a filter that fires on new blocks on Arbitrum, via GoldRush JSON-RPC.

> [card] 0.01 credits per call

`eth_newBlockFilter` on **Arbitrum**: Creates a filter that fires on new blocks.

## Endpoint

```
https://rpc.goldrushdata.com/v1/arbitrum-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

*This method takes no parameters.*

## Returns

`QUANTITY`: Hex-encoded filter ID.

```json theme={null}
"0x16"
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/arbitrum-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_newBlockFilter",
    "params": []
  }'
```

```typescript ethers v6 theme={null}
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/arbitrum-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("eth_newBlockFilter", []);
console.log(result);
```

```typescript viem theme={null}
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/arbitrum-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "eth_newBlockFilter",
  params: [],
});
console.log(result);
```

```javascript web3.js theme={null}
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/arbitrum-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "eth_newBlockFilter",
  params: [],
});
console.log(result);
```

```python web3.py theme={null}
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/arbitrum-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("eth_newBlockFilter", [])
print(result)
```

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Logs and events methods on Arbitrum

* [`eth_getLogs` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-getlogs)
* [`eth_newFilter` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-newfilter)
* [`eth_newPendingTransactionFilter` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-newpendingtransactionfilter)
* [`eth_uninstallFilter` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-uninstallfilter)
* [`eth_getFilterChanges` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-getfilterchanges)

## Also available on

* [`eth_newBlockFilter` on Ethereum](https://goldrush.dev/docs/api-reference/json-rpc/ethereum/eth-newblockfilter)
* [`eth_newBlockFilter` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/eth-newblockfilter)
* [`eth_newBlockFilter` on BNB Smart Chain (BSC)](https://goldrush.dev/docs/api-reference/json-rpc/bsc/eth-newblockfilter)
* [`eth_newBlockFilter` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-newblockfilter)
* [`eth_newBlockFilter` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-newblockfilter)
* [`eth_newBlockFilter` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-newblockfilter)
* [`eth_newBlockFilter` on Monad](https://goldrush.dev/docs/api-reference/json-rpc/monad/eth-newblockfilter)
* [`eth_newBlockFilter` on Tempo](https://goldrush.dev/docs/api-reference/json-rpc/tempo/eth-newblockfilter)
* [`eth_newBlockFilter` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-newblockfilter)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.